com.pixelmed.test

## Class TestCleanerReceiveAndClean

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCleanerReceiveAndClean

-     public class TestCleanerReceiveAndClean
      extends TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TestCleanerReceiveAndClean.ExpectedResult`
    `protected class` | `TestCleanerReceiveAndClean.OurReceivedObjectHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `acceptAnyTransferSyntaxLabelText`
    `protected static java.lang.String` | `addContributingEquipmentLabelText`
    `protected DicomCleaner` | `application`
    `protected static java.lang.String` | `cleanUIDsLabelText`
    `protected static java.lang.String` | `existingTestFileToBeCleaned`
    `protected static java.lang.String` | `hierarchicalExportLabelText`
    `protected java.lang.String` | `lastReceivedDicomFileName`
    `protected static java.lang.String` | `localNameOfUnitTestSCP`
    `protected static java.lang.String` | `ourCallingAET`
    `protected static int` | `receivingCleanedDebugLevel`
    `protected static java.lang.String` | `removeCharacteristicsLabelText`
    `protected static java.lang.String` | `removeClinicalTrialAttributesLabelText`
    `protected static java.lang.String` | `removeDescriptionsLabelText`
    `protected static java.lang.String` | `removeDeviceIdentityLabelText`
    `protected static java.lang.String` | `removeIdentityLabelText`
    `protected static java.lang.String` | `removeInstitutionIdentityLabelText`
    `protected static java.lang.String` | `removePrivateLabelText`
    `protected static java.lang.String` | `removeSeriesDescriptionsLabelText`
    `protected static java.lang.String` | `savedImagesFolderName`
    `protected static int` | `sendingDebugLevel`
    `protected static int` | `waitIntervalWhenSleeping`
    `protected static java.lang.String` | `zipExportLabelText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCleanerReceiveAndClean(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkAllAreAsExpected(AttributeList list)`
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCleanerReceiveAndClean_ReceiveAndCleanWithDefaults()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourCallingAET

          protected static final java.lang.String ourCallingAET

      See Also:
        Constant Field Values

    - #### localNameOfUnitTestSCP

          protected static final java.lang.String localNameOfUnitTestSCP

      See Also:
        Constant Field Values

    - #### savedImagesFolderName

          protected static final java.lang.String savedImagesFolderName

      See Also:
        Constant Field Values

    - #### existingTestFileToBeCleaned

          protected static final java.lang.String existingTestFileToBeCleaned

      See Also:
        Constant Field Values

    - #### sendingDebugLevel

          protected static final int sendingDebugLevel

      See Also:
        Constant Field Values

    - #### receivingCleanedDebugLevel

          protected static final int receivingCleanedDebugLevel

      See Also:
        Constant Field Values

    - #### waitIntervalWhenSleeping

          protected static final int waitIntervalWhenSleeping

      See Also:
        Constant Field Values

    - #### removeIdentityLabelText

          protected static java.lang.String removeIdentityLabelText

    - #### removeDescriptionsLabelText

          protected static java.lang.String removeDescriptionsLabelText

    - #### removeSeriesDescriptionsLabelText

          protected static java.lang.String removeSeriesDescriptionsLabelText

    - #### removeCharacteristicsLabelText

          protected static java.lang.String removeCharacteristicsLabelText

    - #### removeDeviceIdentityLabelText

          protected static java.lang.String removeDeviceIdentityLabelText

    - #### removeInstitutionIdentityLabelText

          protected static java.lang.String removeInstitutionIdentityLabelText

    - #### cleanUIDsLabelText

          protected static java.lang.String cleanUIDsLabelText

    - #### removePrivateLabelText

          protected static java.lang.String removePrivateLabelText

    - #### addContributingEquipmentLabelText

          protected static java.lang.String addContributingEquipmentLabelText

    - #### removeClinicalTrialAttributesLabelText

          protected static java.lang.String removeClinicalTrialAttributesLabelText

    - #### zipExportLabelText

          protected static java.lang.String zipExportLabelText

    - #### hierarchicalExportLabelText

          protected static java.lang.String hierarchicalExportLabelText

    - #### acceptAnyTransferSyntaxLabelText

          protected static java.lang.String acceptAnyTransferSyntaxLabelText

    - #### application

          protected volatile DicomCleaner application

    - #### lastReceivedDicomFileName

          protected volatile java.lang.String lastReceivedDicomFileName

  - ### Constructor Detail

    - #### TestCleanerReceiveAndClean

          public TestCleanerReceiveAndClean(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### checkAllAreAsExpected

          protected void checkAllAreAsExpected(AttributeList list)

    - #### TestCleanerReceiveAndClean_ReceiveAndCleanWithDefaults

          public void TestCleanerReceiveAndClean_ReceiveAndCleanWithDefaults()
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`